Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/privacy-requests/$REQUEST_ID \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/privacy-requests/${requestId}` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/privacy-requests/{request_id}" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"privacyRequestId": 7501 ,
"externalRequestRef": "LE-PRIV-7501",
"customerRef": "123",
"requestType": "DELETION",
"regime": "CCPA_CPRA",
"summary": "Customer requests deletion of personal information.",
"status": "INTAKE",
"caseId": 1001 ,
"externalCaseRef": "LE-CASE-1001",
"sourceInteractionId": 3001 ,
"reviewTaskId": 3302 ,
"reviewTaskAssignedWorkerId": 4101 ,
"reviewTaskStatus": "ACCEPTED",
"receivedAt": "2026-07-25T18: 30 :00Z",
"statutoryDueAt": "2026-09-08T18: 30 :00Z",
"allowedTransitions": [
"IN_FULFILLMENT",
"FULFILLED",
"REJECTED",
"REFERRED"
]
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}